Update to 2.0.4: emulation improvements.

This commit is contained in:
naddy 2002-09-07 21:59:03 +00:00
parent b4a1e806a2
commit d3b05d9ac6
4 changed files with 120 additions and 7 deletions

View File

@ -1,11 +1,9 @@
# $OpenBSD: Makefile,v 1.1.1.1 2002/06/12 13:16:39 naddy Exp $
# $OpenBSD: Makefile,v 1.2 2002/09/07 21:59:03 naddy Exp $
COMMENT= "curses-based emulator for the Wyse 60 terminal"
DISTNAME= wy60-2.0.2
DISTNAME= wy60-2.0.4
CATEGORIES= comms
NEED_VERSION= 1.531
HOMEPAGE= http://gutschke.com/wy60/
MAINTAINER= Christian Weisgerber <naddy@openbsd.org>

View File

@ -1,3 +1,3 @@
MD5 (wy60-2.0.2.tar.gz) = 723c05b355e37a2c48fd97b3e75379e5
RMD160 (wy60-2.0.2.tar.gz) = 8ebc5a303ec59d2f56290624b1eae143800d1e20
SHA1 (wy60-2.0.2.tar.gz) = 67223da4f15a211ac90c1c8ecb16d790178b3912
MD5 (wy60-2.0.4.tar.gz) = 8f8b2c0c60a3d60d93e5c0a5f8b5d41c
RMD160 (wy60-2.0.4.tar.gz) = cb3076fd99967bdf7dfb967490515b9220b5c22e
SHA1 (wy60-2.0.4.tar.gz) = 5681bac83fe00d148a1835e5a274e43dd57834e3

49
comms/wy60/pkg/DEINSTALL Normal file
View File

@ -0,0 +1,49 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1 2002/09/07 21:59:03 naddy Exp $
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/wy60.rc
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

66
comms/wy60/pkg/INSTALL Normal file
View File

@ -0,0 +1,66 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 2002/09/07 21:59:03 naddy Exp $
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR}/wy60.rc
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/wy60
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/wy60.rc ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0